Bug 921259 - failover should protect against empty host names
Summary: failover should protect against empty host names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-13 19:29 UTC by Jenny Galipeau
Modified: 2014-06-18 04:01 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-13 10:31:19 UTC


Attachments (Terms of Use)

Description Jenny Galipeau 2013-03-13 19:29:07 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1484

I encountered a setup where the KDCs were separated with a double comma and effectively an empty host name was added to the fail over list, which created spurious error messages during failover.

This is wrong configuration, but because the servers can be retrieved from DNS using a SRV query, too, we should make sure we only add valid host names to the fail over list.

Comment 1 Jakub Hrozek 2013-03-26 18:11:07 UTC
Fixed upstream.

Comment 2 Jakub Hrozek 2013-10-04 13:25:13 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 4 Kaushik Banerjee 2014-01-22 12:09:23 UTC
Verified in version 1.11.2-29

Output of beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: primary_server_ldap_015: bz 921259 Primary and Backup list has a typo and ends with appropriate uri
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'getent passwd user_srv1' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent passwd user_srv2' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Successfully removed connection callback' 
:: [   PASS   ] :: Running 'auth_success user_srv1 Secret123' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_LDAP.log' should contain 'Looking for primary server' 
:: [   LOG    ] :: Duration: 53s
:: [   LOG    ] :: Assertions: 5 good, 0 bad
:: [   PASS   ] :: RESULT: primary_server_ldap_015: bz 921259 Primary and Backup list has a typo and ends with appropriate uri

Comment 5 Ludek Smid 2014-06-13 10:31:19 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.